type t = { ximage : Gdk.image; 
	   xwidth : int; 
	   xheight : int; } 
(* ximage data structure with size information *)

val create :
  kind:Gdk.Image.image_type ->
  visual:Gdk.visual -> width:int -> height:int -> t
(* Same as Gdk.Image.create, but with size info and GC.
   You do not need to destroy. *)

val get : 'a Gdk.drawable -> x:int -> y:int -> width:int -> height:int -> t
(* Same as Gdk.Image.get, but with size info and GC.
   You do not need to destroy. *)

val of_image : Gdk.visual -> (float -> unit) option -> Image.t -> t

val get_mono_gc : Gdk.window -> Gdk.gc
val plain_mask : Gdk.window -> int -> int -> Gdk.bitmap
val pixmap_of : Gdk.window -> t -> Gdk.pixmap

val mask_of_image : Gdk.window -> Image.t -> Gdk.bitmap option
val pixmap_of_image :
  Gdk.window -> (float -> unit) option -> Image.t -> GDraw.pixmap
